#include <stdio.h>
#include <SDL.h>

int main() {
    SDL_Window * w;
    SDL_Renderer * r;
    if (SDL_CreateWindowAndRenderer(512, 512, 0, &w, &r) != 0) {
        printf("SDL_CreateWindowAndRenderer failed: %s\n", SDL_GetError());
        return -1;
    }
    while (true) {
        SDL_Event e;
        while (SDL_PollEvent(&e)) {
            switch (e.type) {
                case SDL_QUIT:
                    return 0;
            }
        }
        if (SDL_SetRenderDrawColor(r, 0, 255, 0, 255) != 0) {
            printf("SDL_SetRenderDrawColor failed: %s\n", SDL_GetError());
            return -1;
        }
        if (SDL_RenderClear(r) != 0) {
            printf("SDL_RenderClear failed: %s\n", SDL_GetError());
            return -1;
        }
        SDL_RenderPresent(r);
    }
    return 0;
}
